(************** Content-type: application/mathematica **************
                     CreatedBy='Mathematica 5.0'

                    Mathematica-Compatible Notebook

This notebook can be used with any Mathematica-compatible
application, such as Mathematica, MathReader or Publicon. The data
for the notebook starts with the line containing stars above.

To get the notebook into a Mathematica-compatible application, do
one of the following:

* Save the data starting with the line of stars above into a file
  with a name ending in .nb, then open the file inside the
  application;

* Copy the data starting with the line of stars above to the
  clipboard, then use the Paste menu command inside the application.

Data for notebooks contains only printable 7-bit ASCII and can be
sent directly in email or through ftp in text mode.  Newlines can be
CR, LF or CRLF (Unix, Macintosh or MS-DOS style).

NOTE: If you modify the data for this notebook not in a Mathematica-
compatible application, you must delete the line below containing
the word CacheID, otherwise Mathematica-compatible applications may
try to use invalid cache data.

For more information on notebooks and Mathematica-compatible 
applications, contact Wolfram Research:
  web: http://www.wolfram.com
  email: info@wolfram.com
  phone: +1-217-398-0700 (U.S.)

Notebook reader applications are available free of charge from 
Wolfram Research.
*******************************************************************)

(*CacheID: 232*)


(*NotebookFileLineBreakTest
NotebookFileLineBreakTest*)
(*NotebookOptionsPosition[     21891,        691]*)
(*NotebookOutlinePosition[     22537,        713]*)
(*  CellTagsIndexPosition[     22493,        709]*)
(*WindowFrame->Normal*)



Notebook[{

Cell[CellGroupData[{
Cell["Metodat direkte p\[EDoubleDot]r sistemet e ekuacioneve lineare", "Title"],

Cell["Metoda e Gauss-it", "Subtitle"],

Cell["Algorit\[EDoubleDot]m: Eliminimi i Gauss-it me z\[EDoubleDot]vend\
\[EDoubleDot]sim nga prapa", "Subsubtitle"],

Cell[BoxData[
    \(<< LinearAlgebra`MatrixManipulation`\)], "Input"],

Cell[CellGroupData[{

Cell[BoxData[
    \(a = {{1, 1, 0, 3}, \[IndentingNewLine]{2, 1, \(-1\), 
          1}, \[IndentingNewLine]{3, \(-1\), \(-1\), 
          2}, \[IndentingNewLine]{\(-1\), 2, 3, \(-1\)}}\)], "Input"],

Cell[BoxData[
    \({{1, 1, 0, 3}, {2, 1, \(-1\), 1}, {3, \(-1\), \(-1\), 2}, {\(-1\), 2, 
        3, \(-1\)}}\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(b = {{4}, {1}, {\(-3\)}, {4}}\)], "Input"],

Cell[BoxData[
    \({{4}, {1}, {\(-3\)}, {4}}\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(x = {{0}, {0}, {0}, {0}}\)], "Input"],

Cell[BoxData[
    \({{0}, {0}, {0}, {0}}\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(aug = AppendRows[a, b]\)], "Input"],

Cell[BoxData[
    \({{1, 1, 0, 3, 4}, {2, 1, \(-1\), 1, 1}, {3, \(-1\), \(-1\), 
        2, \(-3\)}, {\(-1\), 2, 3, \(-1\), 4}}\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(n = Length[aug]\)], "Input"],

Cell[BoxData[
    \(4\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
    \(\(Print[MatrixForm[aug]];\)\), "\[IndentingNewLine]", 
    \(For[k = 1, 
      k < n, \(k++\), \[IndentingNewLine]found = 
        False; \[IndentingNewLine]p = 
        k; \[IndentingNewLine]While[\(! found\)\  && \ 
          p \[LessEqual] n, \[IndentingNewLine]If[aug[\([p, k]\)] != 0, 
          found = True, \(p++\)]]; \[IndentingNewLine]If[\(! found\), \
\[IndentingNewLine]Print["\<Metoda e Gauss-it d\[EDoubleDot]shtoi\>"]; \
\[IndentingNewLine]Exit[];\[IndentingNewLine]]; \[IndentingNewLine]If[
        p != k, \[IndentingNewLine]For[j = 1, 
          j \[LessEqual] n + 1, \(j++\), \[IndentingNewLine]temp = 
            aug[\([k, j]\)]; \[IndentingNewLine]aug[\([k, j]\)] = 
            aug[\([p, j]\)]; \[IndentingNewLine]aug[\([p, j]\)] = 
            temp]]; \[IndentingNewLine]For[i = k + 1, 
        i \[LessEqual] n, \(i++\), \[IndentingNewLine]m = 
          aug[\([i, k]\)]/aug[\([k, k]\)]; \[IndentingNewLine]For[j = k, 
          j <= n + 1, \(j++\), \[IndentingNewLine]\(aug[\([i, j]\)] = 
              aug[\([i, j]\)] - 
                m\ aug[\([k, 
                      j]\)];\)\[IndentingNewLine]];\[IndentingNewLine]]; \
\[IndentingNewLine]Print[
        MatrixForm[aug]];\[IndentingNewLine]]\), "\[IndentingNewLine]", 
    \(If[aug[\([n, n]\)] \[Equal] 
        0, \[IndentingNewLine]Print["\<Metoda e Gauss-it \
d\[EDoubleDot]shtoi\>"]; \[IndentingNewLine]Exit[];\[IndentingNewLine]]\), "\
\[IndentingNewLine]", 
    \(For[i = n, 
      i > 0, \(i--\), \[IndentingNewLine]sum = 0; \[IndentingNewLine]For[
        j = i + 1, 
        j \[LessEqual] 
          n, \(j++\), \[IndentingNewLine]\(sum = 
            sum + aug[\([\)\(i, j\)\(]\)] 
                x[\([j, 
                    1]\)];\)\[IndentingNewLine]]; \
\[IndentingNewLine]x[\([\)\(i, 
          1\)\(]\)] = \((aug[\([\)\(i, n + 1\)\(]\)] - sum)\)/
          aug[\([i, i]\)];\[IndentingNewLine]]\)}], "Input"],

Cell[BoxData[
    TagBox[
      RowBox[{"(", "\[NoBreak]", GridBox[{
            {"1", "1", "0", "3", "4"},
            {"2", "1", \(-1\), "1", "1"},
            {"3", \(-1\), \(-1\), "2", \(-3\)},
            {\(-1\), "2", "3", \(-1\), "4"}
            }], "\[NoBreak]", ")"}],
      Function[ BoxForm`e$, 
        MatrixForm[ BoxForm`e$]]]], "Print"],

Cell[BoxData[
    TagBox[
      RowBox[{"(", "\[NoBreak]", GridBox[{
            {"1", "1", "0", "3", "4"},
            {"0", \(-1\), \(-1\), \(-5\), \(-7\)},
            {"0", \(-4\), \(-1\), \(-7\), \(-15\)},
            {"0", "3", "3", "2", "8"}
            }], "\[NoBreak]", ")"}],
      Function[ BoxForm`e$, 
        MatrixForm[ BoxForm`e$]]]], "Print"],

Cell[BoxData[
    TagBox[
      RowBox[{"(", "\[NoBreak]", GridBox[{
            {"1", "1", "0", "3", "4"},
            {"0", \(-1\), \(-1\), \(-5\), \(-7\)},
            {"0", "0", "3", "13", "13"},
            {"0", "0", "0", \(-13\), \(-13\)}
            }], "\[NoBreak]", ")"}],
      Function[ BoxForm`e$, 
        MatrixForm[ BoxForm`e$]]]], "Print"],

Cell[BoxData[
    TagBox[
      RowBox[{"(", "\[NoBreak]", GridBox[{
            {"1", "1", "0", "3", "4"},
            {"0", \(-1\), \(-1\), \(-5\), \(-7\)},
            {"0", "0", "3", "13", "13"},
            {"0", "0", "0", \(-13\), \(-13\)}
            }], "\[NoBreak]", ")"}],
      Function[ BoxForm`e$, 
        MatrixForm[ BoxForm`e$]]]], "Print"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(x\)], "Input"],

Cell[BoxData[
    \({{\(-1\)}, {2}, {0}, {1}}\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(Solve[{x1 + x2 + 3  x4 \[Equal] 4, 2  x1 + x2 - x3 + x4 \[Equal] 1, 
        3  x1 - x2 - x3 + 2  x4 \[Equal] \(-3\), \(-x1\) + 2  x2 + 3  x3 - 
            x4 \[Equal] 4}, {x1, x2, x3, x4}]\)], "Input"],

Cell[BoxData[
    \({{x1 \[Rule] \(-1\), x2 \[Rule] 2, x3 \[Rule] 0, 
        x4 \[Rule] 1}}\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell["Pivotimi parcial", "Subtitle"],

Cell["Algorit\[EDoubleDot]m:Eliminimi i Gauss-it me pivotim parcial", \
"Subsubtitle"],

Cell[CellGroupData[{

Cell[BoxData[
    \(a = {{1, 1, 0, 3}, \[IndentingNewLine]{2, 1, \(-1\), 
          1}, \[IndentingNewLine]{3, \(-1\), \(-1\), 
          2}, \[IndentingNewLine]{\(-1\), 2, 3, \(-1\)}}\)], "Input"],

Cell[BoxData[
    \({{1, 1, 0, 3}, {2, 1, \(-1\), 1}, {3, \(-1\), \(-1\), 2}, {\(-1\), 2, 
        3, \(-1\)}}\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(b = {{4}, {1}, {\(-3\)}, {4}}\)], "Input"],

Cell[BoxData[
    \({{4}, {1}, {\(-3\)}, {4}}\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(x = {{0}, {0}, {0}, {0}}\)], "Input"],

Cell[BoxData[
    \({{0}, {0}, {0}, {0}}\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(aug = AppendRows[a, b]\)], "Input"],

Cell[BoxData[
    \({{1, 1, 0, 3, 4}, {2, 1, \(-1\), 1, 1}, {3, \(-1\), \(-1\), 
        2, \(-3\)}, {\(-1\), 2, 3, \(-1\), 4}}\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(n = Length[aug]\)], "Input"],

Cell[BoxData[
    \(4\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
    \(\(Print[MatrixForm[aug]];\)\), "\[IndentingNewLine]", 
    \(For[k = 1, 
      k < n, \(k++\), \[IndentingNewLine]found = 
        False; \[IndentingNewLine]p = k; \[IndentingNewLine]max = 
        Abs[aug[\([k, k]\)]]; \[IndentingNewLine]For[i = k + 1, 
        i \[LessEqual] n, \(i++\), \[IndentingNewLine]If[
          Abs[aug[\([i, k]\)]] > max, \[IndentingNewLine]p = 
            i; \[IndentingNewLine]max = 
            Abs[aug[\([i, 
                  k]\)]];\[IndentingNewLine]]\[IndentingNewLine]]; \
\[IndentingNewLine]If[
        aug[\([p, k]\)] \[Equal] 
          0, \[IndentingNewLine]Print["\<Metoda e Gauss-it \
d\[EDoubleDot]shtoi\>"]; \[IndentingNewLine]Exit[];\[IndentingNewLine]]; \
\[IndentingNewLine]If[
        p != k, \[IndentingNewLine]For[j = 1, 
          j \[LessEqual] n + 1, \(j++\), \[IndentingNewLine]temp = 
            aug[\([k, j]\)]; \[IndentingNewLine]aug[\([k, j]\)] = 
            aug[\([p, j]\)]; \[IndentingNewLine]aug[\([p, j]\)] = 
            temp]\[IndentingNewLine]]; \[IndentingNewLine]For[i = k + 1, 
        i \[LessEqual] n, \(i++\), \[IndentingNewLine]m = 
          aug[\([i, k]\)]/aug[\([k, k]\)]; \[IndentingNewLine]For[j = k, 
          j <= n + 1, \(j++\), \[IndentingNewLine]\(aug[\([i, j]\)] = 
              aug[\([i, j]\)] - 
                m\ aug[\([k, 
                      j]\)];\)\[IndentingNewLine]];\[IndentingNewLine]]; \
\[IndentingNewLine]Print[
        MatrixForm[aug]];\[IndentingNewLine]]\), "\[IndentingNewLine]", 
    \(If[aug[\([n, n]\)] \[Equal] 
        0, \[IndentingNewLine]Print["\<Metoda e Gauss-it \
d\[EDoubleDot]shtoi\>"]; \[IndentingNewLine]Exit[];\[IndentingNewLine]]\), "\
\[IndentingNewLine]", 
    \(For[i = n, 
      i > 0, \(i--\), \[IndentingNewLine]sum = 0; \[IndentingNewLine]For[
        j = i + 1, 
        j \[LessEqual] 
          n, \(j++\), \[IndentingNewLine]\(sum = 
            sum + aug[\([i, j]\)] 
                x[\([j, 
                    1]\)];\)\[IndentingNewLine]]; \[IndentingNewLine]x[\([i, 
            1]\)] = \((aug[\([i, n + 1]\)] - sum)\)/
          aug[\([i, i]\)];\[IndentingNewLine]]\)}], "Input"],

Cell[BoxData[
    TagBox[
      RowBox[{"(", "\[NoBreak]", GridBox[{
            {"1", "1", "0", "3", "4"},
            {"2", "1", \(-1\), "1", "1"},
            {"3", \(-1\), \(-1\), "2", \(-3\)},
            {\(-1\), "2", "3", \(-1\), "4"}
            }], "\[NoBreak]", ")"}],
      Function[ BoxForm`e$, 
        MatrixForm[ BoxForm`e$]]]], "Print"],

Cell[BoxData[
    TagBox[
      RowBox[{"(", "\[NoBreak]", GridBox[{
            {"3", \(-1\), \(-1\), "2", \(-3\)},
            {"0", \(5\/3\), \(-\(1\/3\)\), \(-\(1\/3\)\), "3"},
            {"0", \(4\/3\), \(1\/3\), \(7\/3\), "5"},
            {"0", \(5\/3\), \(8\/3\), \(-\(1\/3\)\), "3"}
            }], "\[NoBreak]", ")"}],
      Function[ BoxForm`e$, 
        MatrixForm[ BoxForm`e$]]]], "Print"],

Cell[BoxData[
    TagBox[
      RowBox[{"(", "\[NoBreak]", GridBox[{
            {"3", \(-1\), \(-1\), "2", \(-3\)},
            {"0", \(5\/3\), \(-\(1\/3\)\), \(-\(1\/3\)\), "3"},
            {"0", "0", \(3\/5\), \(13\/5\), \(13\/5\)},
            {"0", "0", "3", "0", "0"}
            }], "\[NoBreak]", ")"}],
      Function[ BoxForm`e$, 
        MatrixForm[ BoxForm`e$]]]], "Print"],

Cell[BoxData[
    TagBox[
      RowBox[{"(", "\[NoBreak]", GridBox[{
            {"3", \(-1\), \(-1\), "2", \(-3\)},
            {"0", \(5\/3\), \(-\(1\/3\)\), \(-\(1\/3\)\), "3"},
            {"0", "0", "3", "0", "0"},
            {"0", "0", "0", \(13\/5\), \(13\/5\)}
            }], "\[NoBreak]", ")"}],
      Function[ BoxForm`e$, 
        MatrixForm[ BoxForm`e$]]]], "Print"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(x\)], "Input"],

Cell[BoxData[
    \({{\(-1\)}, {2}, {0}, {1}}\)], "Output"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Metoda e Gauss-it n\[EDoubleDot] aritmetik\[EDoubleDot] me pik\
\[EDoubleDot] l\[EDoubleDot]viz\[EDoubleDot]se", "Subtitle"],

Cell["\<\
Algorit\[EDoubleDot]m: Eliminimi i Gauss-it me \
z\[EDoubleDot]vend\[EDoubleDot]sim
nga prapa n\[EDoubleDot] aritmetik\[EDoubleDot] me pik\[EDoubleDot] l\
\[EDoubleDot]viz\[EDoubleDot]se\
\>", "Subsubtitle"],

Cell[CellGroupData[{

Cell[BoxData[
    \(numDigits = 3\)], "Input"],

Cell[BoxData[
    \(3\)], "Output"]
}, Open  ]],

Cell[BoxData[
    \(characteristics[x_] := Floor[Log[10, x]]\)], "Input"],

Cell[BoxData[
    \(fl[x_] := 
      N[If[x > 0, \[IndentingNewLine]Round[
              x*10^\(-characteristics[x]\)*10^\((numDigits - 
                      1)\)]*10^\((\(-numDigits\) + 1)\)*10^
              characteristics[x], If[x == 0, 0, \(-fl[\(-x\)]\)]]]\)], "Input"],

Cell[CellGroupData[{

Cell[BoxData[
    \(a = {{3.03, \(-12.1\), 14}, \[IndentingNewLine]{\(-3.03\), 
          12.1, \(-7\)}, \[IndentingNewLine]{\(-6.11\), \(-14.2\), 
          21}}\)], "Input"],

Cell[BoxData[
    \({{3.03`, \(-12.1`\), 14}, {\(-3.03`\), 
        12.1`, \(-7\)}, {\(-6.11`\), \(-14.2`\), 21}}\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(b = {{\(-119\)}, {120}, {\(-139\)}}\)], "Input"],

Cell[BoxData[
    \({{\(-119\)}, {120}, {\(-139\)}}\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(x = {{0}, {0}, {0}}\)], "Input"],

Cell[BoxData[
    \({{0}, {0}, {0}}\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(aug = AppendRows[a, b]\)], "Input"],

Cell[BoxData[
    \({{3.03`, \(-12.1`\), 14, \(-119\)}, {\(-3.03`\), 12.1`, \(-7\), 
        120}, {\(-6.11`\), \(-14.2`\), 21, \(-139\)}}\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(n = Length[aug]\)], "Input"],

Cell[BoxData[
    \(3\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
    \(\(Print[MatrixForm[aug]];\)\), "\[IndentingNewLine]", 
    \(For[k = 1, 
      k < n, \(k++\), \[IndentingNewLine]found = 
        False; \[IndentingNewLine]p = 
        k; \[IndentingNewLine]While[\(! found\)\  && \ 
          p \[LessEqual] n, \[IndentingNewLine]If[aug[\([p, k]\)] != 0, 
          found = True, \(p++\)]]; \[IndentingNewLine]If[\(! found\), \
\[IndentingNewLine]Print["\<Metoda e Gauss-it d\[EDoubleDot]shtoi\>"]; \
\[IndentingNewLine]Exit[];\[IndentingNewLine]]; \[IndentingNewLine]If[
        p != k, \[IndentingNewLine]For[j = 1, 
          j \[LessEqual] n + 1, \(j++\), \[IndentingNewLine]temp = 
            aug[\([k, j]\)]; \[IndentingNewLine]aug[\([k, j]\)] = 
            aug[\([p, j]\)]; \[IndentingNewLine]aug[\([p, j]\)] = 
            temp]]; \[IndentingNewLine]For[i = k + 1, 
        i \[LessEqual] 
          n, \(i++\), \[IndentingNewLine]lambda = \(-fl[
              fl[aug[\([i, k]\)]]/
                fl[aug[\([k, k]\)]]]\); \[IndentingNewLine]For[j = k, 
          j <= n + 1, \(j++\), \[IndentingNewLine]\(aug[\([i, j]\)] = 
              fl[fl[aug[\([i, j]\)]] + 
                  fl[fl[lambda] 
                      fl[aug[\([k, 
                            j]\)]]]];\)\[IndentingNewLine]];\
\[IndentingNewLine]]; \[IndentingNewLine]Print[
        MatrixForm[aug]];\[IndentingNewLine]]\), "\[IndentingNewLine]", 
    \(If[aug[\([n, n]\)] \[Equal] 
        0, \[IndentingNewLine]Print["\<Metoda e Gauss-it \
d\[EDoubleDot]shtoi\>"]; \[IndentingNewLine]Exit[];\[IndentingNewLine]]\), "\
\[IndentingNewLine]", 
    \(For[i = n, 
      i > 0, \(i--\), \[IndentingNewLine]sum = 0; \[IndentingNewLine]For[
        j = i + 1, 
        j \[LessEqual] 
          n, \(j++\), \[IndentingNewLine]\(sum = 
            fl[sum + 
                fl[aug[\([\)\(i, j\)\(]\)] 
                    x[\([j, 
                        1]\)]]];\)\[IndentingNewLine]]; \[IndentingNewLine]x[\
\([i, 1]\)] = 
        fl[fl[aug[\([i, n + 1]\)] - sum]/
            aug[\([i, i]\)]];\[IndentingNewLine]]\)}], "Input"],

Cell[BoxData[
    TagBox[
      RowBox[{"(", "\[NoBreak]", GridBox[{
            {"3.03`", \(-12.1`\), "14", \(-119\)},
            {\(-3.03`\), "12.1`", \(-7\), "120"},
            {\(-6.11`\), \(-14.2`\), "21", \(-139\)}
            }], "\[NoBreak]", ")"}],
      Function[ BoxForm`e$, 
        MatrixForm[ BoxForm`e$]]]], "Print"],

Cell[BoxData[
    TagBox[
      RowBox[{"(", "\[NoBreak]", GridBox[{
            {"3.03`", \(-12.1`\), "14", \(-119\)},
            {"0.`", "0.`", "7.`", "1.`"},
            {"0.01`", \(-38.6`\), "49.3`", \(-379.`\)}
            }], "\[NoBreak]", ")"}],
      Function[ BoxForm`e$, 
        MatrixForm[ BoxForm`e$]]]], "Print"],

Cell[BoxData[
    TagBox[
      RowBox[{"(", "\[NoBreak]", GridBox[{
            {"3.03`", \(-12.1`\), "14", \(-119\)},
            {"0.01`", \(-38.6`\), "49.3`", \(-379.`\)},
            {"0.`", "0.`", "7.`", "1.`"}
            }], "\[NoBreak]", ")"}],
      Function[ BoxForm`e$, 
        MatrixForm[ BoxForm`e$]]]], "Print"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(x\)], "Input"],

Cell[BoxData[
    \({{0.`}, {10.`}, {0.143`}}\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell["\<\
Algorit\[EDoubleDot]m: Eliminimi i Gauss-it me pivotim parcial n\[EDoubleDot] \
aritmetik\[EDoubleDot] me pik\[EDoubleDot] l\[EDoubleDot]viz\[EDoubleDot]se\
\>", "Subsubtitle"],

Cell[CellGroupData[{

Cell[BoxData[
    \(a = {{3.03, \(-12.1\), 14}, \[IndentingNewLine]{\(-3.03\), 
          12.1, \(-7\)}, \[IndentingNewLine]{\(-6.11\), \(-14.2\), 
          21}}\)], "Input"],

Cell[BoxData[
    \({{3.03`, \(-12.1`\), 14}, {\(-3.03`\), 
        12.1`, \(-7\)}, {\(-6.11`\), \(-14.2`\), 21}}\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(b = {{\(-119\)}, {120}, {\(-139\)}}\)], "Input"],

Cell[BoxData[
    \({{\(-119\)}, {120}, {\(-139\)}}\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(x = {{0}, {0}, {0}}\)], "Input"],

Cell[BoxData[
    \({{0}, {0}, {0}}\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(aug = AppendRows[a, b]\)], "Input"],

Cell[BoxData[
    \({{3.03`, \(-12.1`\), 14, \(-119\)}, {\(-3.03`\), 12.1`, \(-7\), 
        120}, {\(-6.11`\), \(-14.2`\), 21, \(-139\)}}\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(n = Length[aug]\)], "Input"],

Cell[BoxData[
    \(3\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
    \(\(Print[MatrixForm[aug]];\)\), "\[IndentingNewLine]", 
    \(For[k = 1, 
      k < n, \(k++\), \[IndentingNewLine]found = 
        False; \[IndentingNewLine]p = k; \[IndentingNewLine]max = 
        Abs[aug[\([k, k]\)]]; \[IndentingNewLine]For[i = k + 1, 
        i \[LessEqual] n, \(i++\), \[IndentingNewLine]If[
          Abs[aug[\([i, k]\)]] > max, \[IndentingNewLine]p = 
            i; \[IndentingNewLine]max = 
            Abs[aug[\([i, 
                  k]\)]];\[IndentingNewLine]]\[IndentingNewLine]]; \
\[IndentingNewLine]If[
        aug[\([p, k]\)] \[Equal] 
          0, \[IndentingNewLine]Print["\<Metoda e Gauss-it \
d\[EDoubleDot]shtoi\>"]; \[IndentingNewLine]Exit[];\[IndentingNewLine]]; \
\[IndentingNewLine]If[
        p != k, \[IndentingNewLine]For[j = 1, 
          j \[LessEqual] n + 1, \(j++\), \[IndentingNewLine]temp = 
            aug[\([k, j]\)]; \[IndentingNewLine]aug[\([k, j]\)] = 
            aug[\([p, j]\)]; \[IndentingNewLine]aug[\([p, j]\)] = 
            temp]]; \[IndentingNewLine]For[i = k + 1, 
        i \[LessEqual] 
          n, \(i++\), \[IndentingNewLine]lambda = \(-fl[
              fl[aug[\([i, k]\)]]/
                fl[aug[\([k, k]\)]]]\); \[IndentingNewLine]For[j = k, 
          j <= n + 1, \(j++\), \[IndentingNewLine]\(aug[\([i, j]\)] = 
              fl[fl[aug[\([i, j]\)]] + 
                  fl[fl[lambda] 
                      fl[aug[\([k, 
                            j]\)]]]];\)\[IndentingNewLine]];\
\[IndentingNewLine]]; \[IndentingNewLine]Print[
        MatrixForm[aug]];\[IndentingNewLine]]\), "\[IndentingNewLine]", 
    \(If[aug[\([n, n]\)] \[Equal] 
        0, \[IndentingNewLine]Print["\<Metoda e Gauss-it \
d\[EDoubleDot]shtoi\>"]; \[IndentingNewLine]Exit[];\[IndentingNewLine]]\), "\
\[IndentingNewLine]", 
    \(For[i = n, 
      i > 0, \(i--\), \[IndentingNewLine]sum = 0; \[IndentingNewLine]For[
        j = i + 1, 
        j \[LessEqual] 
          n, \(j++\), \[IndentingNewLine]\(sum = 
            fl[sum + 
                fl[aug[\([\)\(i, j\)\(]\)] 
                    x[\([j, 
                        1]\)]]];\)\[IndentingNewLine]]; \[IndentingNewLine]x[\
\([i, 1]\)] = 
        fl[fl[aug[\([i, n + 1]\)] - sum]/
            aug[\([i, i]\)]];\[IndentingNewLine]]\)}], "Input"],

Cell[BoxData[
    TagBox[
      RowBox[{"(", "\[NoBreak]", GridBox[{
            {"3.03`", \(-12.1`\), "14", \(-119\)},
            {\(-3.03`\), "12.1`", \(-7\), "120"},
            {\(-6.11`\), \(-14.2`\), "21", \(-139\)}
            }], "\[NoBreak]", ")"}],
      Function[ BoxForm`e$, 
        MatrixForm[ BoxForm`e$]]]], "Print"],

Cell[BoxData[
    TagBox[
      RowBox[{"(", "\[NoBreak]", GridBox[{
            {\(-6.11`\), \(-14.2`\), "21", \(-139\)},
            {"0.`", "19.1`", \(-17.4`\), "189.`"},
            {"0.`", \(-19.1`\), "24.4`", \(-188.`\)}
            }], "\[NoBreak]", ")"}],
      Function[ BoxForm`e$, 
        MatrixForm[ BoxForm`e$]]]], "Print"],

Cell[BoxData[
    TagBox[
      RowBox[{"(", "\[NoBreak]", GridBox[{
            {\(-6.11`\), \(-14.2`\), "21", \(-139\)},
            {"0.`", "19.1`", \(-17.4`\), "189.`"},
            {"0.`", "0.`", "7.`", "1.`"}
            }], "\[NoBreak]", ")"}],
      Function[ BoxForm`e$, 
        MatrixForm[ BoxForm`e$]]]], "Print"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(x\)], "Input"],

Cell[BoxData[
    \({{0.`}, {10.`}, {0.143`}}\)], "Output"]
}, Open  ]]
}, Open  ]]
}, Open  ]]
}, Open  ]]
},
FrontEndVersion->"5.0 for Microsoft Windows",
ScreenRectangle->{{0, 1400}, {0, 997}},
WindowSize->{495, 740},
WindowMargins->{{Automatic, 294}, {Automatic, 58}}
]

(*******************************************************************
Cached data follows.  If you edit this Notebook file directly, not
using Mathematica, you must remove the line containing CacheID at
the top of  the file.  The cache data will then be recreated when
you save this file from within Mathematica.
*******************************************************************)

(*CellTagsOutline
CellTagsIndex->{}
*)

(*CellTagsIndex
CellTagsIndex->{}
*)

(*NotebookFileOutline
Notebook[{

Cell[CellGroupData[{
Cell[1776, 53, 79, 0, 205, "Title"],
Cell[1858, 55, 37, 0, 51, "Subtitle"],
Cell[1898, 57, 116, 1, 30, "Subsubtitle"],
Cell[2017, 60, 69, 1, 30, "Input"],

Cell[CellGroupData[{
Cell[2111, 65, 197, 3, 90, "Input"],
Cell[2311, 70, 124, 2, 48, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[2472, 77, 62, 1, 30, "Input"],
Cell[2537, 80, 59, 1, 29, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[2633, 86, 57, 1, 30, "Input"],
Cell[2693, 89, 54, 1, 29, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[2784, 95, 55, 1, 30, "Input"],
Cell[2842, 98, 141, 2, 48, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[3020, 105, 48, 1, 30, "Input"],
Cell[3071, 108, 35, 1, 29, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[3143, 114, 1929, 37, 690, "Input"],
Cell[5075, 153, 352, 9, 69, "Print"],
Cell[5430, 164, 359, 9, 69, "Print"],
Cell[5792, 175, 356, 9, 69, "Print"],
Cell[6151, 186, 356, 9, 69, "Print"]
}, Open  ]],

Cell[CellGroupData[{
Cell[6544, 200, 34, 1, 30, "Input"],
Cell[6581, 203, 59, 1, 29, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[6677, 209, 223, 3, 70, "Input"],
Cell[6903, 214, 106, 2, 29, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[7046, 221, 36, 0, 51, "Subtitle"],
Cell[7085, 223, 86, 1, 30, "Subsubtitle"],

Cell[CellGroupData[{
Cell[7196, 228, 197, 3, 90, "Input"],
Cell[7396, 233, 124, 2, 48, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[7557, 240, 62, 1, 30, "Input"],
Cell[7622, 243, 59, 1, 29, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[7718, 249, 57, 1, 30, "Input"],
Cell[7778, 252, 54, 1, 29, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[7869, 258, 55, 1, 30, "Input"],
Cell[7927, 261, 141, 2, 48, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[8105, 268, 48, 1, 30, "Input"],
Cell[8156, 271, 35, 1, 29, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[8228, 277, 2145, 42, 810, "Input"],
Cell[10376, 321, 352, 9, 69, "Print"],
Cell[10731, 332, 403, 9, 95, "Print"],
Cell[11137, 343, 385, 9, 87, "Print"],
Cell[11525, 354, 380, 9, 87, "Print"]
}, Open  ]],

Cell[CellGroupData[{
Cell[11942, 368, 34, 1, 30, "Input"],
Cell[11979, 371, 59, 1, 29, "Output"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{
Cell[12087, 378, 130, 1, 80, "Subtitle"],
Cell[12220, 381, 217, 5, 50, "Subsubtitle"],

Cell[CellGroupData[{
Cell[12462, 390, 46, 1, 30, "Input"],
Cell[12511, 393, 35, 1, 29, "Output"]
}, Open  ]],
Cell[12561, 397, 73, 1, 30, "Input"],
Cell[12637, 400, 276, 5, 90, "Input"],

Cell[CellGroupData[{
Cell[12938, 409, 175, 3, 70, "Input"],
Cell[13116, 414, 127, 2, 48, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[13280, 421, 68, 1, 30, "Input"],
Cell[13351, 424, 65, 1, 29, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[13453, 430, 52, 1, 30, "Input"],
Cell[13508, 433, 49, 1, 29, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[13594, 439, 55, 1, 30, "Input"],
Cell[13652, 442, 152, 2, 48, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[13841, 449, 48, 1, 30, "Input"],
Cell[13892, 452, 35, 1, 29, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[13964, 458, 2057, 41, 730, "Input"],
Cell[16024, 501, 333, 8, 53, "Print"],
Cell[16360, 511, 327, 8, 53, "Print"],
Cell[16690, 521, 327, 8, 53, "Print"]
}, Open  ]],

Cell[CellGroupData[{
Cell[17054, 534, 34, 1, 30, "Input"],
Cell[17091, 537, 59, 1, 29, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[17187, 543, 186, 3, 50, "Subsubtitle"],

Cell[CellGroupData[{
Cell[17398, 550, 175, 3, 70, "Input"],
Cell[17576, 555, 127, 2, 48, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[17740, 562, 68, 1, 30, "Input"],
Cell[17811, 565, 65, 1, 29, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[17913, 571, 52, 1, 30, "Input"],
Cell[17968, 574, 49, 1, 29, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[18054, 580, 55, 1, 30, "Input"],
Cell[18112, 583, 152, 2, 48, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[18301, 590, 48, 1, 30, "Input"],
Cell[18352, 593, 35, 1, 29, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[18424, 599, 2278, 47, 830, "Input"],
Cell[20705, 648, 333, 8, 53, "Print"],
Cell[21041, 658, 337, 8, 53, "Print"],
Cell[21381, 668, 325, 8, 53, "Print"]
}, Open  ]],

Cell[CellGroupData[{
Cell[21743, 681, 34, 1, 30, "Input"],
Cell[21780, 684, 59, 1, 29, "Output"]
}, Open  ]]
}, Open  ]]
}, Open  ]]
}, Open  ]]
}
]
*)



(*******************************************************************
End of Mathematica Notebook file.
*******************************************************************)

